/**
 * Editable Contents
 */

var editables = document.querySelectorAll(".editableContent")
var contents = localStorage.getItem('contents') || '{}';
    contents = JSON.parse(contents)

editables.forEach(el => {
    /**
     * Make Content Element Editable when clicked
     */
    el.addEventListener('click', function(e){
        e.preventDefault()
        if(!this.hasAttribute("contentEditable")){
            this.setAttribute("contentEditable",true);
        }
        this.focus()
    })

    /**
     * Removing Content Editable Attribute when Element focused out
     */
    el.addEventListener('focusout', function(e){
        e.preventDefault()
        if(this.hasAttribute("contentEditable"))
            this.removeAttribute("contentEditable");
        save_content(el)
    })
})

function save_content($el){
    // getting the element ID
    var field = $el.getAttribute('id')
    // getting the element updated content
    var value = $el.innerHTML
    field = field.replace(/\-/gi, '_')
    // update content value
    contents[field] = value
    // update stored contents
    localStorage.setItem('contents', JSON.stringify(contents))
}

function load_content(){
    Object.keys(contents).map(k => {
        // Getting the Element ID
        var field = k.replace(/\_/gi, '-')
        // Getting the Element ID
        var el = document.querySelector(`#${field}`)
        if(el != null){
            // Display content from stored contents
            el.innerHTML = contents[k]
        }
    })
}

window.onload = function(){
    load_content();
}